# LayerZeroAdapterCreateParams

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
|**tokenLinkId** | **string** | The token link id of the base token to deploy the adapters for | [default to undefined]|
|**delegateAddress** | **string** | Address that will receive &#x60;CONTRACT_ADMIN_ROLE&#x60;. | [default to undefined]|
|**defaultAdminAddress** | **string** | Address that will receive &#x60;DEFAULT_ADMIN_ROLE&#x60; on the adapter contract. | [default to undefined]|
|**pauserAddress** | **string** | Address that will receive &#x60;PAUSER_ROLE&#x60;. | [default to undefined]|




[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)
